Set a detection alert status

Base URL
https://{kibana_url}
  • POST /api/detection_engine/signals/status
  • POST /s/{space_id}/api/detection_engine/signals/status
Auth

Set the status of one or more detection alerts.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

An object containing desired status and explicit alert ids or a query to select alerts

One of:

Responses

Successful response

application/json

Response Type: object

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}